Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class VirtualMachineTemplate.Builder

`java.lang.Object
oracle.ovs.api.datamodel.resource.VirtualMachineTemplate.Builder`

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  VirtualMachineTemplate

      public static class VirtualMachineTemplate.Builder

extends java.lang.Object
implements java.io.Serializable

vitual machine template builder

See Also:
  Serialized Form

Constructor Summary
`VirtualMachineTemplate.Builder()`
`VirtualMachineTemplate.Builder(DiscoveredVirtualMachineTemplate discoveredImage)`
`VirtualMachineTemplate.Builder(java.lang.Long serverPoolId, java.lang.String imgName)`

Method Summary
`VirtualMachineTemplate` | `build()`
`VirtualMachineTemplate.Builder` | `createdTime()`
`VirtualMachineTemplate.Builder` | `deployType(java.lang.String deployType)`
`VirtualMachineTemplate.Builder` | `description(java.lang.String description)`
`VirtualMachineTemplate.Builder` | `downloadURL(java.lang.String downloadURL)`
`VirtualMachineTemplate.Builder` | `groupId(java.lang.Long groupId)`
`VirtualMachineTemplate.Builder` | `haEnabled(java.lang.Boolean haEnabled)`
`VirtualMachineTemplate.Builder` | `imgId(java.lang.Long imgId)`
`VirtualMachineTemplate.Builder` | `imgLocation(java.lang.String imgLocation)`
`VirtualMachineTemplate.Builder` | `imgSize(java.lang.Double imgSize)`
`VirtualMachineTemplate.Builder` | `imgType(java.lang.String imgType)`
`VirtualMachineTemplate.Builder` | `importType(ImportTypes importType)`
`VirtualMachineTemplate.Builder` | `keyboardLayout(java.lang.String keyboardLayout)`
`VirtualMachineTemplate.Builder` | `maxMemory(java.lang.Long maxMemory)`
`VirtualMachineTemplate.Builder` | `memory(java.lang.Long memory)`
`VirtualMachineTemplate.Builder` | `networks(VirtualNetworkCard[] networks)`
`VirtualMachineTemplate.Builder` | `osType(java.lang.String osType)`
`VirtualMachineTemplate.Builder` | `parentImgId(java.lang.Long parentImgId)`
`VirtualMachineTemplate.Builder` | `proxyURL(java.lang.String proxyURL)`
`VirtualMachineTemplate.Builder` | `proxyUsed(java.lang.Boolean proxyUsed)`
`VirtualMachineTemplate.Builder` | `pvDriver(java.lang.Boolean hasPvDriver)`
`VirtualMachineTemplate.Builder` | `serverPoolName(java.lang.String serverPoolName)`
`VirtualMachineTemplate.Builder` | `status(java.lang.String status)`
`VirtualMachineTemplate.Builder` | `userId(java.lang.Long userId)`
`VirtualMachineTemplate.Builder` | `vcpus(java.lang.Long vcpus)`
`VirtualMachineTemplate.Builder` | `vdisks(VirtualDisk[] vdisks)`
`VirtualMachineTemplate.Builder` | `virtualType(java.lang.String virtualType)`
`VirtualMachineTemplate.Builder` | `vmPassword(java.lang.String vmPassword)`
`VirtualMachineTemplate.Builder` | `vmUsername(java.lang.String vmUsername)`
`VirtualMachineTemplate.Builder` | `vncPassword(java.lang.String vncPassword)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualMachineTemplate.Builder

    public VirtualMachineTemplate.Builder(DiscoveredVirtualMachineTemplate discoveredImage)

### VirtualMachineTemplate.Builder

    public VirtualMachineTemplate.Builder(java.lang.Long serverPoolId,
                                          java.lang.String imgName)

### VirtualMachineTemplate.Builder

    public VirtualMachineTemplate.Builder()

Method Detail

### build

    public VirtualMachineTemplate build()

### imgId

    public VirtualMachineTemplate.Builder imgId(java.lang.Long imgId)

### importType

    public VirtualMachineTemplate.Builder importType(ImportTypes importType)

### createdTime

    public VirtualMachineTemplate.Builder createdTime()

### proxyURL

    public VirtualMachineTemplate.Builder proxyURL(java.lang.String proxyURL)

### deployType

    public VirtualMachineTemplate.Builder deployType(java.lang.String deployType)

### description

    public VirtualMachineTemplate.Builder description(java.lang.String description)

### virtualType

    public VirtualMachineTemplate.Builder virtualType(java.lang.String virtualType)

### vmPassword

    public VirtualMachineTemplate.Builder vmPassword(java.lang.String vmPassword)

### vmUsername

    public VirtualMachineTemplate.Builder vmUsername(java.lang.String vmUsername)

### vncPassword

    public VirtualMachineTemplate.Builder vncPassword(java.lang.String vncPassword)

### vdisks

    public VirtualMachineTemplate.Builder vdisks(VirtualDisk[] vdisks)

### networks

    public VirtualMachineTemplate.Builder networks(VirtualNetworkCard[] networks)

### vcpus

    public VirtualMachineTemplate.Builder vcpus(java.lang.Long vcpus)

### groupId

    public VirtualMachineTemplate.Builder groupId(java.lang.Long groupId)

### userId

    public VirtualMachineTemplate.Builder userId(java.lang.Long userId)

### downloadURL

    public VirtualMachineTemplate.Builder downloadURL(java.lang.String downloadURL)

### serverPoolName

    public VirtualMachineTemplate.Builder serverPoolName(java.lang.String serverPoolName)

### haEnabled

    public VirtualMachineTemplate.Builder haEnabled(java.lang.Boolean haEnabled)

### imgLocation

    public VirtualMachineTemplate.Builder imgLocation(java.lang.String imgLocation)

### imgType

    public VirtualMachineTemplate.Builder imgType(java.lang.String imgType)

### maxMemory

    public VirtualMachineTemplate.Builder maxMemory(java.lang.Long maxMemory)

### memory

    public VirtualMachineTemplate.Builder memory(java.lang.Long memory)

### imgSize

    public VirtualMachineTemplate.Builder imgSize(java.lang.Double imgSize)

### osType

    public VirtualMachineTemplate.Builder osType(java.lang.String osType)

### parentImgId

    public VirtualMachineTemplate.Builder parentImgId(java.lang.Long parentImgId)

### keyboardLayout

    public VirtualMachineTemplate.Builder keyboardLayout(java.lang.String keyboardLayout)

### proxyUsed

    public VirtualMachineTemplate.Builder proxyUsed(java.lang.Boolean proxyUsed)

### status

    public VirtualMachineTemplate.Builder status(java.lang.String status)

### pvDriver

    public VirtualMachineTemplate.Builder pvDriver(java.lang.Boolean hasPvDriver)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.